
QGIS Application - Bug report #742

unexpected line creation behaviour

2007-07-20 04:36 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10801

Description

In versions prior to 0.8.1, when creating a line a right-click was used to complete the line. This would terminate the line at the last point the

user left-clicked. In the current svn however, the line is terminated wherever the mouse is when the right-click occurs. 

If snapping is on, and after a left-click a right-click occurs without the mouse moving much then the line may have two vertices in the same

location.

History

#1 - 2007-07-20 04:48 PM - Redmine Admin

It is also possible to create a one vertex line. I'm not sure how useful that is, especially since qgis doesn't display it when it is committed.

#2 - 2007-07-21 12:52 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

This is intended to be a feature rather than a bug :-)

The advantage of adding the last vertex at the mouse position where the right click occures is that the feature you get looks like the rubber band on screen.

With the behaviour prior to 0.8.1, the last rubber band segment visible on screen was not included in the added feature, and that may be confusing.

If you are used to the behaviour prior to 0.8.1 this might be annoying at the beginning. But I think the new behaviour is more logic, because if you click two

times at the position of the last vertex, you get two vertices there.

commit:35591523 (SVN r7084) prevents the creation of lines/polygons with only one vertex.
